<?php

namespace App\Http\Livewire\AboutUs\CardTypes;

use Livewire\Component;
use Illuminate\Support\Facades\Http;

class CardTypesList extends Component
{
    public $cards = [];

    public function mount()
    {
        $this->fetchCards();
    }

    public function fetchCards()
    {
        try {
            $response = Http::get('https://api.example.com/cardType?page=1&page_size=10&_sort_by=create_dt&_sort_order=desc');
            $this->cards = $response->json()['data'] ?? [];
        } catch (\Exception $e) {
            session()->flash('error', 'Failed to load card types: ' . $e->getMessage());
        }
    }

    public function delete($uuid)
    {
        try {
            $response = Http::delete("https://api.example.com/cardType/{$uuid}");
            if ($response->successful()) {
                session()->flash('success', 'Record was successfully deleted.');
                $this->fetchCards();
            }
        } catch (\Exception $e) {
            session()->flash('error', 'Failed to delete record: ' . $e->getMessage());
        }
    }

    public function render()
    {
        return view('livewire.about-us.card-types.card-types-list');
    }
}