<?php

namespace App\Livewire\MemberManagement;


use Livewire\Component;

class CardMemberView extends Component
{
    public $member;

    public function mount($id)
    {
        try {
            $this->member = $this->fetchFromApi("https://api.example.com/member/{$id}");
        } catch (\Exception $e) {
            session()->flash('error', 'Failed to load member details: ' . $e->getMessage());
            return redirect()->route('card-members.list');
        }
    }

    private function fetchFromApi($url)
    {
        $response = \Http::get($url);
        return $response->json()['data'] ?? null;
    }

    public function render()
    {
        return view('livewire.card-member-view', ['member' => $this->member]);
    }
}