<?php

namespace App\Livewire\Reports;

use Livewire\Component;
use Illuminate\Support\Facades\Http;

class MobileUsageList extends Component
{
    

    public $data = [];
    public $updating = false;

    public function mount()
    {
        $this->fetchData();
    }

    public function fetchData()
    {
        try {
            $this->updating = true;
            $response = Http::get('https://api.example.com/reportMobileUsage');
            if ($response->successful()) {
                $this->data = $response->json()['data'] ?? [];
            } else {
                $this->alert('error', 'Failed to fetch mobile usage report data.');
            }
        } catch (\Exception $e) {
            $this->alert('error', 'An error occurred: ' . $e->getMessage());
        } finally {
            $this->updating = false;
        }
    }

    public function render()
    {
        return view('livewire.reports.mobile-usage-list')->layout('layouts.app', ['title' => 'Mobile Usage Report']);
    }
}
