<div class="container mt-4" style="border: 1px solid #E6ECF5; padding-bottom: 10px;">
    <h2 style="margin: 25px 35px;">Card Types Details</h2>

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if(!empty($errors))
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    @if($card)
        <form wire:submit.prevent="submit">
            @include('partials.header-form', [
                'title' => 'Update Card Type',
                'action' => '#',
                'actionBtnName' => 'Submit',
                'cancelAction' => route('card-types.list'),
                'cancelBtnName' => 'Cancel'
            ])

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">Card Code</label>
                <div class="col-sm-10">
                    <input type="text" wire:model="form.code" class="form-control" placeholder="Card Code">
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">Card Type Description</label>
                <div class="col-sm-10">
                    <input type="text" wire:model="form.type" class="form-control" placeholder="Card Type Description">
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">Card Type Short Description</label>
                <div class="col-sm-10">
                    <textarea wire:model="form.description" class="form-control" rows="4" placeholder="Card Type Short Description" maxlength="140"></textarea>
                    <small class="form-text text-muted">Maximum 140 characters</small>
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">Upload Card Type Image</label>
                <div class="col-sm-10">
                    <input type="file" wire:model="form.image" class="form-control" accept=".jpg,.png,.gif">
                    <small class="form-text text-muted">Maximum File Size: 100KB</small>
                    @if($form['image'] && is_string($form['image']))
                        <img src="{{ $form['image'] }}" alt="Preview" style="width: 294px; height: 170px; margin-top: 10px;">
                    @endif
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">Virtual Card Font Color</label>
                <div class="col-sm-10">
                    <div class="form-check form-check-inline">
                        <input type="radio" wire:model="form.virtual_card_font_color" value="1" class="form-check-input" id="fontWhiteEdit">
                        <label class="form-check-label" for="fontWhiteEdit">White</label>
                    </div>
                    <div class="form-check form-check-inline">
                        <input type="radio" wire:model="form.virtual_card_font_color" value="2" class="form-check-input" id="fontBlackEdit">
                        <label class="form-check-label" for="fontBlackEdit">Black</label>
                    </div>
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">Upload Card Type Cover Image</label>
                <div class="col-sm-10">
                    <input type="file" wire:model="form.bg_image" class="form-control" accept=".jpg,.png,.gif">
                    <small class="form-text text-muted">Image Size (ex. 375 x 260), Maximum File Size: 100KB</small>
                    @if($form['bg_image'] && is_string($form['bg_image']))
                        <img src="{{ $form['bg_image'] }}" alt="Preview" style="width: 294px; height: 170px; margin-top: 10px;">
                    @endif
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">ID Number Required?</label>
                <div class="col-sm-10">
                    <div class="form-check form-check-inline">
                        <input type="radio" wire:model="form.id_number" value="1" class="form-check-input" id="idYesEdit">
                        <label class="form-check-label" for="idYesEdit">Yes</label>
                    </div>
                    <div class="form-check form-check-inline">
                        <input type="radio" wire:model="form.id_number" value="2" class="form-check-input" id="idNoEdit">
                        <label class="form-check-label" for="idNoEdit">No</label>
                    </div>
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">ID Number Description</label>
                <div class="col-sm-10">
                    <textarea wire:model="form.id_number_description" class="form-control" rows="2" placeholder="ID Number Description" maxlength="40" @if($form['id_number'] == '2') disabled @endif></textarea>
                    <small class="form-text text-muted">Maximum 40 characters</small>
                </div>
            </div>

            <h4 style="margin-left: 190px;">DATA PRIVACY</h4>
            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">Terms & Conditions</label>
                <div class="col-sm-10">
                    <textarea wire:model="form.terms_and_conditions" class="form-control" rows="10" placeholder="Terms & Conditions"></textarea>
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-6 col-form-label">FAQs</label>
                <div class="col-sm-10">
                    <textarea wire:model="form.faqs" class="form-control" rows="10" placeholder="FAQs"></textarea>
                </div>
            </div>
        </form>
    @else
        <p>No card type data found.</p>
    @endif
</div>