<div class="container mt-4" style="border: 1px solid #E6ECF5;">
    @include('partials.header-form', [
        'title' => 'Card Types',
        'action' => route('card-types.create'),
        'actionBtnName' => 'Add Card'
    ])

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <div class="card">
        <div class="card-body">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Card Type Code</th>
                        <th>Card Type Description</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($cards as $card)
                        <tr>
                            <td>{{ $card['code'] }}</td>
                            <td>{{ $card['name'] }}</td>
                            <td>
                                <a href="{{ route('card-types.edit', $card['cardtype_uuid']) }}" class="btn btn-primary btn-sm me-2">
                                    <i class="fas fa-edit"></i> Edit
                                </a>
                                <button wire:click="delete('{{ $card['cardtype_uuid'] }}')" class="btn btn-danger btn-sm me-2">
                                    <i class="fas fa-trash"></i> Delete
                                </button>
                                <a href="{{ route('card-types.view', $card['cardtype_uuid']) }}" class="btn btn-info btn-sm">
                                    <i class="fas fa-eye"></i> View
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>