<div class="container mt-4" style="border: 1px solid #E6ECF5; padding-bottom: 10px;">
    @include('partials.header-form', [
        'title' => 'Card Type Details',
        'action' => route('card-types.edit', ['id' => $card['cardtype_uuid'] ?? '']),
        'actionBtnName' => 'Update',
        'styleBtn' => 'background: white; border-color: rgb(184, 187, 201); color: rgb(101, 105, 127)',
        'deleteAction' => "delete('{{ $card['cardtype_uuid'] ?? '' }}')",
        'deleteBtnName' => 'Delete'
    ])

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if($card)
        <div class="card">
            <div class="card-body">
                <div style="padding: 15px 30px 0px;">
                    <h2 style="margin: 0 0 20px;">Details</h2>
                    <h2 style="font-weight: bold; font-size: 16px;">CARD DETAILS</h2>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Card Code:</span></div>
                        <div class="col-7">{{ $card['code'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Card Type Description:</span></div>
                        <div class="col-7">{{ $card['name'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Card Type Short Description:</span></div>
                        <div class="col-7">{{ $card['description'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Card Type Image:</span></div>
                        <div class="col-7">
                            <img src="{{ $card['image'] }}" alt="Card Image" style="width: 300px; max-height: 250px;" onerror="this.src='https://via.placeholder.com/300x250?text=No+Image';">
                        </div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Virtual Card Font Color:</span></div>
                        <div class="col-7">{{ $card['virtual_card_font_color'] ? 'Black' : 'White' }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Card Type Cover Image:</span></div>
                        <div class="col-7">
                            <img src="{{ $card['bg_image'] }}" alt="Cover Image" style="width: 300px; max-height: 250px;" onerror="this.src='https://via.placeholder.com/300x250?text=No+Image';">
                        </div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">ID Number Required:</span></div>
                        <div class="col-7">{{ $card['id_number'] ? 'Yes' : 'No' }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">ID Number Description:</span></div>
                        <div class="col-7">{{ $card['id_number_description'] }}</div>
                    </div>

                    <h2 style="font-weight: bold; font-size: 16px; margin: 15px 0 10px;">DATA PRIVACY DETAILS</h2>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Terms and Conditions:</span></div>
                        <div class="col-7">{{ $card['terms_and_conditions'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">FAQs:</span></div>
                        <div class="col-7">{{ $card['faqs'] }}</div>
                    </div>
                </div>
            </div>
        </div>
    @else
        <p>No card type data found.</p>
    @endif
</div>