<div class="container mt-4" style="border: 1px solid #E6ECF5; padding-bottom: 30px;">
    <h2 style="margin: 25px 35px;">Update Terms</h2>

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if(!empty($errors))
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    @if($term)
        <form wire:submit.prevent="submit">
            @include('partials.header-form', [
                'title' => 'Update Terms',
                'action' => '#',
                'actionBtnName' => 'Submit',
                'cancelAction' => route('term-privacy.list'),
                'cancelBtnName' => 'Cancel'
            ])

            <div class="mb-3 row">
                <label class="col-sm-4 col-form-label">Title</label>
                <div class="col-sm-16">
                    <input type="text" wire:model="form.title" class="form-control" placeholder="Title">
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-4 col-form-label">Details</label>
                <div class="col-sm-16">
                    <textarea wire:model="form.details" class="form-control" rows="10" placeholder="Details"></textarea>
                </div>
            </div>
        </form>
    @else
        <p>No term data found.</p>
    @endif
</div>