<div class="container mt-4" style="border: 1px solid #E6ECF5;">
    @include('partials.header-form', [
        'title' => 'Terms & Privacy',
        'actionTerms' => route('term-privacy.create', 1),
        'actionBtnNameTerms' => 'Add Terms',
        'actionPrivacy' => route('term-privacy.create', 2),
        'actionBtnNamePrivacy' => 'Add Privacy'
    ])

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <div class="card">
        <div class="card-body">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Details</th>
                        <th>Type</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($terms as $term)
                        <tr>
                            <td>{{ $term['title'] }}</td>
                            <td style="width: 490px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;">
                                {{ $term['details'] }}
                            </td>
                            <td>{{ $term['type'] == 1 ? 'Terms' : 'Privacy' }}</td>
                            <td>
                                <a href="{{ route('term-privacy.edit', $term['tp_uuid']) }}" class="btn btn-primary btn-sm me-2">
                                    <i class="fas fa-edit"></i> Edit
                                </a>
                                <button wire:click="delete('{{ $term['tp_uuid'] }}')" class="btn btn-danger btn-sm me-2">
                                    <i class="fas fa-trash"></i> Delete
                                </button>
                                <a href="{{ route('term-privacy.view', $term['tp_uuid']) }}" class="btn btn-info btn-sm">
                                    <i class="fas fa-eye"></i> View
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>