<div class="container mt-4" style="border: 1px solid #E6ECF5; padding-bottom: 10px;">
    @include('partials.header-form', [
        'title' => 'Terms & Privacy Details',
        'action' => route('term-privacy.edit', ['id' => $term['tp_uuid'] ?? '']),
        'actionBtnName' => 'Update',
        'styleBtn' => 'background: white; border-color: rgb(184, 187, 201); color: rgb(101, 105, 127)',
        'deleteAction' => "delete('{{ $term['tp_uuid'] ?? '' }}')",
        'deleteBtnName' => 'Delete'
    ])

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if($term)
        <div class="card">
            <div class="card-body">
                <div style="padding: 15px 30px 30px;">
                    <h2 style="margin: 0 0 20px;">Details</h2>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">Title:</span></div>
                        <div class="col-9">{{ $term['title'] }}</div>
                    </div>
                    <div class="row">
                        <div class="col-3"><span style="font-weight: 600;">Details:</span></div>
                        <div class="col-9">
                            <pre style="overflow: auto; overflow-wrap: break-word; white-space: pre-wrap; word-wrap: break-word;">
                                {{ $term['details'] }}
                            </pre>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @else
        <p>No term data found.</p>
    @endif
</div>