<div class="container mt-4" style="border: 1px solid #E6ECF5; padding-bottom: 10px;">
    <x-header-form title="Card Member Details" />

    @if(session('error'))
        <div class="alert alert-danger">
            {{ session('error') }}
        </div>
    @endif

    @if($member)
        <div class="card">
            <div class="card-body">
                <div style="padding: 15px 30px 0px;">
                    <h2 style="margin: 0 0 20px;">Details</h2>

                    <h2 style="font-weight: bold; font-size: 20px;">Card Details</h2>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">Card Number:</span></div>
                        <div class="col-9">{{ $member['card_number'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">First Name:</span></div>
                        <div class="col-9">{{ $member['firstname'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">Last Name:</span></div>
                        <div class="col-9">{{ $member['lastname'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">Birthday:</span></div>
                        <div class="col-9">{{ \Carbon\Carbon::parse($member['birthdate'])->format('d-M-Y') }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">Card Type:</span></div>
                        <div class="col-9">{{ $member['card_type'] }}</div>
                    </div>

                    <h2 style="font-weight: bold; font-size: 20px; margin-top: 12px;">Account Details</h2>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">Account Status:</span></div>
                        <div class="col-9">{{ $member['is_locked'] == 1 ? 'Locked' : 'Active' }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-3"><span style="font-weight: 600;">Unlocked By:</span></div>
                        <div class="col-9">{{ $member['unlocked_by'] }}</div>
                    </div>
                </div>
            </div>
        </div>
    @else
        <p>No member data found.</p>
    @endif
</div>