@extends('layouts.app')

@section('content')
    <div class="container mt-4">
        <div class="card">
            <div class="card-header">
                <h4>Locked Accounts</h4>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th style="width: 18%;">Card Number</th>
                            <th style="width: 15%;">First Name</th>
                            <th style="width: 15%;">Last Name</th>
                            <th style="width: 18%;">Birthday</th>
                            <th style="width: 18%;">Card Type</th>
                            <th style="width: 10%;">Status</th>
                            <th style="width: 6%;">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($accounts as $account)
                            <tr>
                                <td>{{ $account['card_number'] ?? 'N/A' }}</td>
                                <td>{{ $account['firstname'] ?? 'N/A' }}</td>
                                <td>{{ $account['lastname'] ?? 'N/A' }}</td>
                                <td>{{ $account['birthdate'] ? \Carbon\Carbon::parse($account['birthdate'])->format('d-M-Y') : 'N/A' }}</td>
                                <td>{{ $account['card_type'] ?? 'N/A' }}</td>
                                <td>{{ $account['status'] == 'locked' ? 'Locked' : 'Locked' }}</td>
                                <td>
                                    <a href="{{ route('member-management.lock-account.view', $account['lcard_uuid']) }}" class="btn btn-sm btn-info">View</a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="7" class="text-center">No locked accounts found.</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection