@extends('layouts.app')

@section('content')
    <div class="container mt-4">
        <div class="card">
            <div class="card-header">
                <h4>My Profile</h4>
            </div>
            <div class="card-body">
                @if($userInfo)
                    <div class="d-flex align-items-center p-4" style="background: #F3F3F6; border: 1px solid #E6ECF5;">
                        <div>
                            <img src="https://via.placeholder.com/80?text=User" alt="User Avatar" style="width: 80px; height: 80px; border-radius: 50%; background-color: #B8BBC9;">
                        </div>
                        <h1 class="m-0 ms-3" style="color: #5a5e76; font-size: 40px;">
                            {{ $userInfo['firstname'] ?? 'N/A' }} {{ $userInfo['lastname'] ?? 'N/A' }}
                        </h1>
                    </div>
                    <div class="p-4 border border-top-0 border-gray-200">
                        <div class="mb-4">
                            <h5 class="fw-bold fs-5">My Information</h5>
                            <div class="row mb-2">
                                <div class="col-3 fw-semibold">Username:</div>
                                <div class="col-9">{{ $userInfo['username'] ?? 'N/A' }}</div>
                            </div>
                            <div class="row mb-2">
                                <div class="col-3 fw-semibold">Email:</div>
                                <div class="col-9">
                                    <a href="mailto:{{ $userInfo['email'] ?? '#' }}" style="color: #1890FF;">
                                        {{ $userInfo['email'] ?? 'N/A' }}
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div>
                            <h5 class="fw-bold fs-5">Access Role</h5>
                            <div class="row mb-2">
                                <div class="col-3 fw-semibold">Role:</div>
                                <div class="col-9">{{ $this->getRoleLabel($userInfo['role'] ?? null) }}</div>
                            </div>
                        </div>
                    </div>
                @else
                    <p>Loading profile data...</p>
                @endif
            </div>
        </div>
    </div>
@endsection