@extends('layouts.app')

@section('content')
    <div class="container mt-4">
        <div class="card">
            <div class="card-header">
                <h4>Add Notification</h4>
            </div>
            <div class="card-body">
                <form wire:submit.prevent="save" novalidate>
                    @include('partials.header-form', [
                        'title' => $title,
                        'loading' => $loading,
                        'disabled' => false,
                        'actionBtnName' => 'Submit',
                    ])

                    <div class="row mb-3">
                        <label for="subject" class="col-sm-5 col-form-label">Subject</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control @error('subject') is-invalid @enderror" id="subject" wire:model="subject" placeholder="Subject">
                            @error('subject') <div class="invalid-feedback">{{ $message }}</div> @enderror
                        </div>
                    </div>

                    <div class="row mb-3">
                        <label for="content" class="col-sm-5 col-form-label">Content</label>
                        <div class="col-sm-7">
                            <textarea class="form-control @error('content') is-invalid @enderror" id="content" wire:model="content" rows="6" placeholder="Content"></textarea>
                            @error('content') <div class="invalid-feedback">{{ $message }}</div> @enderror
                        </div>
                    </div>

                    <div class="row mb-3">
                        <label class="col-sm-5 col-form-label">Schedule</label>
                        <div class="col-sm-7">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" id="sched_no" wire:model="isScheduled" value="false">
                                <label class="form-check-label" for="sched_no">No</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" id="sched_yes" wire:model="isScheduled" value="true">
                                <label class="form-check-label" for="sched_yes">Yes</label>
                            </div>
                            @error('isScheduled') <div class="text-danger">{{ $message }}</div> @enderror
                        </div>
                    </div>

                    @if ($isScheduled === 'true')
                        <div class="row mb-3">
                            <label for="schedule" class="col-sm-5 col-form-label">Schedule</label>
                            <div class="col-sm-7">
                                <input type="datetime-local" class="form-control @error('schedule') is-invalid @enderror" id="schedule" wire:model="schedule">
                                @error('schedule') <div class="invalid-feedback">{{ $message }}</div> @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label for="expiration" class="col-sm-5 col-form-label">Expiration</label>
                            <div class="col-sm-7">
                                <input type="datetime-local" class="form-control @error('expiration') is-invalid @enderror" id="expiration" wire:model="expiration">
                                @error('expiration') <div class="invalid-feedback">{{ $message }}</div> @enderror
                            </div>
                        </div>
                    @endif
                </form>
            </div>
        </div>
    </div>
@endsection