<div class="container mt-4" style="border: 1px solid #E6ECF5; padding-bottom: 10px;">
    <h2 style="margin: 25px 35px;">Photo Slider Content Details</h2>

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if(!empty($errors))
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    @if($slider)
        <form wire:submit.prevent="submit">
            @include('partials.header-form', [
                'title' => 'Update Photo Slider',
                'action' => '#',
                'actionBtnName' => 'Submit',
                'cancelAction' => route('photo-slider.index'),
                'cancelBtnName' => 'Cancel'
            ])

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">Promotion Name</label>
                <div class="col-sm-10">
                    <select wire:model="form.promotion_uuid" class="form-select" wire:change="fetchDate($event.target.value)">
                        <option value="">Select Promotion</option>
                        @foreach ($promotionsOptions as $option)
                            <option value="{{ $option['value'] }}" {{ in_array($option['value'], $promotionsDefaultKeyValue) ? 'selected' : '' }}>{{ $option['label'] }}</option>
                        @endforeach
                    </select>
                    <button type="button" wire:click="autoFillDetails(form.promotion_uuid)" class="btn btn-secondary mt-2" @disabled(!$form['promotion_uuid'])>Auto Fill</button>
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">Title</label>
                <div class="col-sm-10">
                    <input type="text" wire:model="form.title" class="form-control" placeholder="Title">
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">Description</label>
                <div class="col-sm-10">
                    <textarea wire:model="form.description" class="form-control" rows="6" placeholder="Description"></textarea>
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">Upload Image</label>
                <div class="col-sm-10">
                    <input type="file" wire:model="form.image" class="form-control" accept=".jpg,.png,.gif">
                    <small class="form-text text-muted">
                        Image Size: 1020 x 621<br>
                        Maximum File Size: 100KB
                    </small>
                    @if($form['image'] && is_string($form['image']))
                        <img src="{{ $form['image'] }}" alt="Preview" style="width: 294px; height: 170px; object-fit: fill; margin-top: 10px;">
                    @endif
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">Start Appearance Date</label>
                <div class="col-sm-10">
                    <input type="date" wire:model="form.date_start" class="form-control">
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">End Appearance Date</label>
                <div class="col-sm-10">
                    <input type="date" wire:model="form.date_end" class="form-control">
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">Start Time</label>
                <div class="col-sm-10">
                    <input type="time" wire:model="form.start_time" class="form-control">
                </div>
            </div>

            <div class="mb-3 row">
                <label class="col-sm-2 col-form-label">End Time</label>
                <div class="col-sm-10">
                    <input type="time" wire:model="form.end_time" class="form-control">
                </div>
            </div>
        </form>
    @else
        <p>No slider data found.</p>
    @endif
</div>