<div class="container mt-4" style="border: 1px solid #E6ECF5;">
    @include('partials.header-form', [
        'title' => 'Photo Slider',
        'action' => route('photo-slider.create'),
        'disabled' => $photoSliderLimit ? 'disabled' : '',
        'actionBtnName' => 'Add Content'
    ])

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <div class="card">
        <div class="card-body">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Type</th>
                        <th>Start Date</th>
                        <th>End Date</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($sliders as $slider)
                        <tr>
                            <td>{{ $slider['title'] }}</td>
                            <td>{{ $slider['type'] }}</td>
                            <td>{{ \Carbon\Carbon::parse($slider['date_start'])->format('d-M-Y') }}</td>
                            <td>{{ \Carbon\Carbon::parse($slider['date_end'])->format('d-M-Y') }}</td>
                            <td>
                                <a href="{{ route('photo-slider.edit', $slider['photoslider_uuid']) }}" class="btn btn-primary btn-sm me-2">
                                    <i class="fas fa-edit"></i> Edit
                                </a>
                                <button wire:click="delete('{{ $slider['photoslider_uuid'] }}')" class="btn btn-danger btn-sm me-2">
                                    <i class="fas fa-trash"></i> Delete
                                </button>
                                <a href="{{ route('photo-slider.view', $slider['photoslider_uuid']) }}" class="btn btn-info btn-sm">
                                    <i class="fas fa-eye"></i> View
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>