<div class="container mt-4" style="border: 1px solid #E6ECF5; padding-bottom: 10px;">
    @include('partials.header-form', [
        'title' => 'Photo Slider',
        'action' => route('photo-slider.edit', ['id' => $slider['photoslider_uuid'] ?? '']),
        'styleBtn' => 'background: white; border-color: rgb(184, 187, 201); color: rgb(101, 105, 127)',
        'actionBtnName' => 'Update',
        'deleteAction' => "delete('{{ $slider['photoslider_uuid'] ?? '' }}')",
        'deleteBtnName' => 'Delete'
    ])

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if($slider)
        <div class="card">
            <div class="card-body">
                <div style="width: 100%; height: 160px;">
                    <img style="float: left; width: 313px; height: 164px; object-fit: fill;" 
                         src="{{ $slider['image'] }}" alt="Slider Image" 
                         onerror="this.src='https://via.placeholder.com/313x164?text=No+Image';"/>
                </div>
                <div style="padding: 15px 30px 0px; border-top: 0;">
                    <h2 style="margin: 0 0 20px;">Details</h2>
                    <h2 style="font-weight: bold; font-size: 15px;">CONTENT DETAILS</h2>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Title:</span></div>
                        <div class="col-7">{{ $slider['title'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Description:</span></div>
                        <div class="col-7">{{ $slider['description'] }}</div>
                    </div>

                    <h2 style="font-weight: bold; font-size: 15px; margin-top: 12px;">SCHEDULE DETAILS</h2>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Start Appearance Date:</span></div>
                        <div class="col-7">{{ \Carbon\Carbon::parse($slider['date_start'])->format('d-M-Y') }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">End Appearance Date:</span></div>
                        <div class="col-7">{{ \Carbon\Carbon::parse($slider['date_end'])->format('d-M-Y') }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Start Time:</span></div>
                        <div class="col-7">{{ \Carbon\Carbon::parse($slider['date_start'])->format('H:i:s') }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">End Time:</span></div>
                        <div class="col-7">{{ \Carbon\Carbon::parse($slider['date_end'])->format('H:i:s') }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Created By:</span></div>
                        <div class="col-7">{{ $slider['created_by'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Date Created:</span></div>
                        <div class="col-7">{{ \Carbon\Carbon::parse($slider['created_at'])->format('d-M-Y') }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Last Updated By:</span></div>
                        <div class="col-7">{{ $slider['updated_by'] }}</div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-5"><span style="font-weight: 600;">Last Date Updated:</span></div>
                        <div class="col-7">{{ \Carbon\Carbon::parse($slider['updated_at'])->format('d-M-Y') }}</div>
                    </div>
                </div>
            </div>
        </div>
    @else
        <p>No slider data found.</p>
    @endif
</div>