@extends('layouts.app')

@section('content')
    <div class="container mt-4">
        <div class="card">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h4>Promotions</h4>
                <a href="{{ route('promotions.create') }}" class="btn btn-primary">Add Content</a>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>Title</th>
                            <th>Type</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($promotions as $promotion)
                            <tr>
                                <td>{{ $promotion['title'] ?? 'N/A' }}</td>
                                <td>{{ $promotion['promo_type']['name'] ?? 'N/A' }}</td>
                                <td>{{ \Carbon\Carbon::parse($promotion['date_start'])->format('d-M-Y') }}</td>
                                <td>{{ \Carbon\Carbon::parse($promotion['date_end'])->format('d-M-Y') }}</td>
                                <td>{{ $promotion['status'] ?? 'N/A' }}</td>
                                <td>
                                    <a href="{{ route('promotions.edit', $promotion['promotion_uuid']) }}" class="btn btn-sm btn-warning">Edit</a>
                                    <button class="btn btn-sm btn-danger" wire:click="delete('{{ $promotion['promotion_uuid'] }}')">Delete</button>
                                    <a href="{{ route('promotions.view', $promotion['promotion_uuid']) }}" class="btn btn-sm btn-info">View</a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="6" class="text-center">No promotions found.</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection