@extends('layouts.app')

@section('content')
    <div class="container mt-4">
        <div class="card">
            <div class="card-header">
                <h4>Mobile Usage Report</h4>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Active Registered Users</th>
                            <th>Inactive Registered Users</th>
                            <th>Locked Registered Users</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($data as $item)
                            <tr>
                                <td>{{ \Carbon\Carbon::parse($item['date'])->format('d-M-Y') }}</td>
                                <td>{{ $item['active'] ?? '0' }}</td>
                                <td>{{ $item['inactive'] ?? '0' }}</td>
                                <td>{{ $item['locked'] ?? '0' }}</td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="4" class="text-center">No data found.</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
                @if ($updating)
                    <div class="text-center">
                        <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> Loading...
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection