@extends('layouts.app')

@section('content')
    <div class="container mt-4">
        <div class="card">
            <div class="card-header">
                <h4>Station Rating Report</h4>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>Transaction Date & Time</th>
                            <th>Card Number</th>
                            <th>Sales Invoice</th>
                            <th>Station</th>
                            <th>Ratings</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($data as $item)
                            <tr>
                                <td>{{ \Carbon\Carbon::parse($item['date'])->format('M d, Y H:i') }}</td>
                                <td>{{ $item['card_number'] ?? 'N/A' }}</td>
                                <td>{{ $item['invoice'] ?? 'N/A' }}</td>
                                <td>{{ $item['station'] ?? 'N/A' }}</td>
                                <td>{{ $item['rate'] ?? 'N/A' }}</td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="5" class="text-center">No data found.</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
                @if ($updating)
                    <div class="text-center">
                        <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> Loading...
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection