<?php

use Illuminate\Support\Facades\Route;


use App\Livewire\AdvanceTable;
use App\Livewire\TableLayout;
use App\Livewire\StationTable;
use App\Livewire\Page403;
use App\Livewire\Page404;
use App\Livewire\Page404New;
use App\Livewire\NotificationTable;
use App\Livewire\ModalCancel;
use App\Livewire\LoginLayout;
use App\Livewire\Loading;
use App\Livewire\AdvanceSearchFilter;
use App\Livewire\CascaderForm;
use App\Livewire\CheckboxForm;
use App\Livewire\DatePickerForm;
use App\Livewire\HeaderForm;
use App\Livewire\InputMaskNumberForm;
use App\Livewire\InputNumberAntD;
use App\Livewire\InputPassword;
use App\Livewire\InputTextArea;
use App\Livewire\InputForm;
use App\Livewire\MultiSelectForm;
use App\Livewire\MultiSelectOptions;

use App\Livewire\RadioForm;
use App\Livewire\SelectForm;
use App\Livewire\SingleUploadImage;
use App\Livewire\TimePickerForm;

use App\Livewire\UploadImage;
use App\Livewire\DropdownExport;
use App\Livewire\DataList;
use App\Livewire\CustomTable;

use App\Livewire\ResponseDisplay;
use App\Livewire\ActionTypes;
use App\Livewire\GlobalConstants;
use App\Livewire\ValidationDisplay;
use App\Livewire\AuthStatus;
use App\Livewire\FetchDataStatus;
use App\Livewire\LogoutStatus;
use App\Livewire\FetchData;
use App\Livewire\Logout;
use App\Livewire\ErrorHandler;



use App\Livewire\StationLocator\FuelList;
use App\Livewire\StationLocator\CreateFuel;
use App\Livewire\StationLocator\EditFuel;
use App\Livewire\StationLocator\StationList;
use App\Livewire\StationLocator\StationCreate;
use App\Livewire\StationLocator\EditStation;
use App\Livewire\StationLocator\BranchList;
use App\Livewire\StationLocator\CreateBranch;
use App\Livewire\StationLocator\EditBranch;

use App\Livewire\Reports\TopUpList;
use App\Livewire\Reports\StationRatingList;
use App\Livewire\Reports\MobileUsageList;
use App\Livewire\Reports\RegistrationList;

use App\Livewire\Promotions\PromotionsList;
use App\Livewire\Promotions\PromotionsCreate;
use App\Livewire\Promotions\PromotionsEdit;
use App\Livewire\Promotions\PromotionsView;

use App\Livewire\Notifications\NotificationList;
use App\Livewire\Notifications\NotificationsCreate;

use App\Livewire\MyProfile\MyProfileView;

use App\Livewire\MemberManagement\CardMemberList;
use App\Livewire\MemberManagement\CardMemberView;
use App\Livewire\MemberManagement\LockAccountList;
use App\Livewire\MemberManagement\LockAccountView;


use App\Livewire\PhotoSlider\PhotoSlider;
use App\Livewire\PhotoSlider\PhotoSliderView;
use App\Livewire\PhotoSlider\PhotoSliderList;
use App\Livewire\PhotoSlider\PhotoSliderCreate;
use App\Livewire\PhotoSlider\PhotoSliderEdit;


use App\Livewire\AboutUs\TermAndPrivacy\TermAndPrivacy;
use App\Livewire\AboutUs\TermAndPrivacy\TermAndPrivacyList;
use App\Livewire\AboutUs\TermAndPrivacy\TermAndPrivacyCreate;
use App\Livewire\AboutUs\TermAndPrivacy\TermAndPrivacyEdit;
use App\Livewire\AboutUs\TermAndPrivacy\TermAndPrivacyView;

use App\Livewire\AboutUs\CardTypes\CardTypes;
use App\Livewire\AboutUs\CardTypes\CardTypesList;
use App\Livewire\AboutUs\CardTypes\CardTypesCreate;
use App\Livewire\AboutUs\CardTypes\CardTypesEdit;
use App\Livewire\AboutUs\CardTypes\CardTypesView;

Route::get('/', function () {
    return view('login');
});


// Route::get('/about-us', CardTypes::class)->name('about-us.index');
// Route::get('/about-us/card-types', CardTypesList::class)->name('card-types.list');
// Route::get('/about-us/card-types/create', CardTypesCreate::class)->name('card-types.create');
// Route::get('/about-us/card-types/edit/{id}', CardTypesEdit::class)->name('card-types.edit');
// Route::get('/about-us/card-types/view/{id}', CardTypesView::class)->name('card-types.view');

// Route::get('/about-us/term-privacy', TermAndPrivacyList::class)->name('term-privacy.list');
// Route::get('/about-us/term-privacy/create/{id}', TermAndPrivacyCreate::class)->name('term-privacy.create');
// Route::get('/about-us/term-privacy/edit/{id}', TermAndPrivacyEdit::class)->name('term-privacy.edit');
// Route::get('/about-us/term-privacy/view/{id}', TermAndPrivacyView::class)->name('term-privacy.view');


// Route::get('/home-page/photo-slider', PhotoSlider::class)->name('photo-slider.index');
// Route::get('/home-page/photo-slider/create', PhotoSlider::class)->name('photo-slider.create');
// Route::get('/home-page/photo-slider/edit/{id}', PhotoSlider::class)->name('photo-slider.edit');
// Route::get('/home-page/photo-slider/view/{id}', PhotoSliderView::class)->name('photo-slider.view');


// Route::get('/member-management/card-member', CardMemberList::class)->name('member-management.card-member');
// Route::get('/member-management/card-member/view/{id}', CardMemberView::class)->name('member-management.card-member.view');
// Route::get('/member-management/lock-account', LockAccountList::class)->name('member-management.lock-account');
// Route::get('/member-management/lock-account/view/{id}', LockAccountView::class)->name('member-management.lock-account.view');

Route::get('/my-profile', MyProfileView::class)->name('my-profile.view');

Route::get('/notifications', NotificationList::class)->name('notifications.list');
Route::get('/notifications/create', NotificationsCreate::class)->name('notifications.create');

Route::get('/promotions', PromotionsList::class)->name('promotions.list');
Route::get('/promotions/create', PromotionsCreate::class)->name('promotions.create');
Route::get('/promotions/edit/{id}', PromotionsEdit::class)->name('promotions.edit');
Route::get('/promotions/view/{id}', PromotionsView::class)->name('promotions.view');

Route::get('/reports/top-up', TopUpList::class)->name('reports.top-up');
Route::get('/reports/station-rating', StationRatingList::class)->name('reports.station-rating');
Route::get('/reports/mobile-report', MobileUsageList::class)->name('reports.mobile-report');
Route::get('/reports/registration-report', RegistrationList::class)->name('reports.registration-report');
Route::get('/reports', function () {
    return redirect('/reports/top-up');
});

Route::get('/fuels', FuelList::class)->name('fuels.list');
Route::get('/fuels/create', CreateFuel::class)->name('fuels.create');
Route::get('/fuels/view/{id}', EditFuel::class)->name('fuels.edit');
Route::get('/stations', StationList::class)->name('stations.list');
Route::get('/stations/create', StationCreate::class)->name('stations.create');
Route::get('/stations/view/{id}', EditStation::class)->name('stations.edit');
Route::get('/branches', BranchList::class)->name('branches.list');
Route::get('/branches/create', CreateBranch::class)->name('branches.create');
Route::get('/branches/add', CreateBranch::class)->name('branches.add');
Route::get('/branches/view/{id}', EditBranch::class)->name('branches.edit');




Route::middleware(['auth'])->group(function () {
    Route::get('/user-management', \App\Livewire\UserManagement\UserList::class)->name('user-management');
    Route::get('/user-management/create', \App\Livewire\UserManagement\Create::class)->name('user-management.create');
    Route::get('/user-management/edit/{id}', \App\Livewire\UserManagement\Edit::class)->name('user-management.edit');
    Route::get('/user-management/view/{id}', \App\Livewire\UserManagement\View::class)->name('user-management.view');
});

Route::middleware(['auth'])->group(function () {
    Route::get('/top-up', \App\Livewire\TopUp\TopUpList::class)->name('top-up');
    Route::get('/top-up/create', \App\Livewire\TopUp\Create::class)->name('top-up.create');
    Route::get('/top-up/edit/{id}', \App\Livewire\TopUp\Edit::class)->name('top-up.edit');
    Route::get('/top-up/view/{id}', \App\Livewire\TopUp\View::class)->name('top-up.view');
});

// Route::middleware(['auth'])->group(function () {
//     Route::get('/system-parameters', \App\Livewire\SystemPreferences\Create::class)->name('system-parameters');
// });

Route::middleware(['auth'])->group(function () {
    Route::get('/fuels', \App\Livewire\StationLocator\Fuels::class)->name('fuels');
    Route::get('/fuels/create', \App\Livewire\StationLocator\FuelCreate::class)->name('fuels.create');
    Route::get('/branches', \App\Livewire\StationLocator\Branches::class)->name('branches');
    Route::get('/branches/create', \App\Livewire\StationLocator\BranchCreate::class)->name('branches.create');
});






Route::get('/change-password', \App\Livewire\ChangePassword::class)->name('change-password');
Route::get('/registration', \App\Livewire\Registration::class)->name('registration');
Route::get('/topup-success-page', \App\Livewire\PublicTopSuccessPage::class)->name('topup-success');
Route::get('/topup-error-page', \App\Livewire\PublicTopErrorPage::class)->name('topup-error');

Route::get('/login', \App\Livewire\Login::class)->name('login');
Route::get('/change-password', \App\Livewire\ChangePassword::class)->name('change-password');


Route::get('/fetch-data/{url}', FetchData::class)->name('fetch.data');
Route::get('/logout', Logout::class)->name('logout');
Route::get('/error-handler', ErrorHandler::class)->name('error.handler');

Route::get('/404', function () {
    return view('errors.404');
})->name('404');

Route::get('/auth-status', function () {
    return view('auth-status');
})->name('auth.status');

Route::get('/fetch-data-status', function () {
    return view('fetch-data-status');
})->name('fetch.data.status');

Route::get('/logout-status', function () {
    return view('logout-status');
})->name('logout.status');

Route::get('/global-constants', function () { return view('global-constants'); })->name('global.constants');

Route::get('/validation-display', function () { return view('validation-display'); })->name('validation.display');

Route::get('/response-display', function () { return view('response-display'); })->name('response.display');

Route::get('/action-types', function () { return view('action-types'); })->name('action.types');
Route::get('/dashboard', function () { return view('dashboard'); })->name('dashboard');

Route::get('/my-profile', function () {
    return view('my-profile');
})->name('my-profile');


Route::get('/custom-table', function () {
    return view('custom-table');
})->name('custom.table');

Route::get('/dropdown-export', function () {
    return view('dropdown-export');
})->name('dropdown.export');

Route::get('/data-list', function () {
    return view('data-list');
})->name('data.list');

Route::get('/upload-image', function () { return view('upload-image'); })->name('upload.image');

Route::get('/radio-form', function () { return view('radio-form'); })->name('radio.form');
Route::get('/select-form', function () { return view('select-form'); })->name('select.form');
Route::get('/single-upload-image', function () { return view('single-upload-image'); })->name('single.upload.image');
Route::get('/time-picker-form', function () { return view('time-picker-form'); })->name('time.picker.form');

Route::get('/advance-table', function () { return view('advance-table'); })->name('advance.table');
Route::get('/table-layout', function () { return view('table-layout'); })->name('table.layout');
Route::get('/station-table', function () { return view('station-table'); })->name('station.table');
Route::get('/403', function () { return view('error-403'); })->name('error.403');
Route::get('/404', function () { return view('error-404'); })->name('error.404');
Route::get('/404-new', function () { return view('error-404-new'); })->name('error.404.new');
Route::get('/notifications', function () { return view('notification-table'); })->name('notifications');
Route::get('/locations', function () { return view('locations'); })->name('locations');
Route::get('/test-modal', function () { return view('test-modal'); })->name('test.modal');

Route::get('/loading', function () { return view('loading'); })->name('loading');
Route::get('/advance-search-filter', function () { return view('advance-search-filter'); })->name('advance.search.filter');
Route::get('/cascader-form', function () { return view('cascader-form'); })->name('cascader.form');
Route::get('/checkbox-form', function () { return view('checkbox-form'); })->name('checkbox.form');
Route::get('/date-picker-form', function () { return view('date-picker-form'); })->name('date.picker.form');
Route::get('/header-form', function () { return view('header-form'); })->name('header.form');
Route::get('/input-mask-number-form', function () { return view('input-mask-number-form'); })->name('input.mask.number.form');
Route::get('/input-number-ant-d', function () { return view('input-number-ant-d'); })->name('input.number.antd');

Route::get('/input-password', function () { return view('input-password'); })->name('input.password');
Route::get('/input-text-area', function () { return view('input-text-area'); })->name('input.text.area');
Route::get('/input-form', function () { return view('input-form'); })->name('input.form');
Route::get('/multi-select-form', function () { return view('multi-select-form'); })->name('multi.select.form');
Route::get('/multi-select-options', function () { return view('multi-select-options'); })->name('multi.select.options');






















